# Copyright 2014  Lars Wirzenius
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# =*= License: GPL-3+ =*=


# Yarn shell function library.


# Run jt, from the source tree.

run_jt()
{
    set +e
    EDITOR=true \
    "$SRCDIR/jt" --no-default-config \
        --config "$DATADIR/source.conf" \
        --config "$DATADIR/time.conf" \
        --no-git \
        "$@"
    exit_code="$?"
    echo "$exit_code" > "$DATADIR/jt.exit"
    return "$exit_code"
}
